Index: doc/latex/arx__ui_8h__incl.eps
===================================================================
--- doc/latex/arx__ui_8h__incl.eps (revision 269)
+++ doc/latex/arx__ui_8h__incl.eps (revision 270)
@@ -252,5 +252,5 @@
 closepath stroke
 grestore
-% Node10
+% Node11
 gsave
 [ /Rect [ 172 291 268 311 ]
@@ -277,5 +277,5 @@
 180 297.5 moveto 80 (stat/loggers_ui.h) alignedtext
 grestore
-% Node1->Node10
+% Node1->Node11
 gsave
 1 setlinewidth
@@ -344,5 +344,5 @@
 closepath stroke
 grestore
-% Node7
+% Node8
 gsave
 [ /Rect [ 0 233 76 253 ]
@@ -369,5 +369,5 @@
 8 239.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
-% Node2->Node7
+% Node2->Node8
 gsave
 1 setlinewidth
@@ -392,5 +392,5 @@
 % Node4
 gsave
-[ /Rect [ 115 175 165 195 ]
+[ /Rect [ 119 175 169 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -398,20 +398,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 115 174 moveto
-115 195 lineto
-166 195 lineto
-166 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 115 174 moveto
-115 195 lineto
-166 195 lineto
-166 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-122.5 181.5 moveto 35 (libBM.h) alignedtext
+newpath 119 174 moveto
+119 195 lineto
+170 195 lineto
+170 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 119 174 moveto
+119 195 lineto
+170 195 lineto
+170 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+126.5 181.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node3->Node4
@@ -420,23 +420,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 134 232 moveto
-135 224 136 214 137 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 140.47 205.49 moveto
-139 195 lineto
-133.61 204.12 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 140.47 205.49 moveto
-139 195 lineto
-133.61 204.12 lineto
+newpath 135 232 moveto
+136 224 138 214 140 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 143.47 205.49 moveto
+142 195 lineto
+136.61 204.12 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 143.47 205.49 moveto
+142 195 lineto
+136.61 204.12 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 104 59 176 79 ]
+[ /Rect [ 78 59 150 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -444,20 +444,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 104 58 moveto
-104 79 lineto
-176 79 lineto
-176 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 104 58 moveto
-104 79 lineto
-176 79 lineto
-176 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-112 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 78 58 moveto
+78 79 lineto
+150 79 lineto
+150 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 78 58 moveto
+78 79 lineto
+150 79 lineto
+150 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+86 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node4->Node5
@@ -466,18 +466,59 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 140 174 moveto
-140 155 140 114 140 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 143.5 89 moveto
-140 79 lineto
-136.5 89 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 143.5 89 moveto
-140 79 lineto
-136.5 89 lineto
+newpath 141 174 moveto
+137 155 125 114 119 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 122.39 88.12 moveto
+117 79 lineto
+115.53 89.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 122.39 88.12 moveto
+117 79 lineto
+115.53 89.49 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 142 116 moveto
+142 137 lineto
+180 137 lineto
+180 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 142 116 moveto
+142 137 lineto
+180 137 lineto
+180 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+150 123.5 moveto 22 (map) alignedtext
+grestore
+% Node4->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 147 174 moveto
+149 166 152 156 155 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 158.48 147.58 moveto
+158 137 lineto
+151.77 145.57 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158.48 147.58 moveto
+158 137 lineto
+151.77 145.57 lineto
 closepath stroke
 grestore
@@ -485,20 +526,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 136 0 moveto
-136 21 lineto
-211 21 lineto
-211 0 lineto
+newpath 124 0 moveto
+124 21 lineto
+199 21 lineto
+199 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 136 0 moveto
-136 21 lineto
-211 21 lineto
-211 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-143.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 124 0 moveto
+124 21 lineto
+199 21 lineto
+199 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+131.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node5->Node6
@@ -507,21 +548,21 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 146 58 moveto
-150 50 157 39 162 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 165.2 31.44 moveto
-167 21 lineto
-159.08 28.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 165.2 31.44 moveto
-167 21 lineto
-159.08 28.04 lineto
-closepath stroke
-grestore
-% Node7->Node4
+newpath 123 58 moveto
+130 50 139 38 147 29 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 149.8 31.1 moveto
+153 21 lineto
+144.2 26.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 149.8 31.1 moveto
+153 21 lineto
+144.2 26.9 lineto
+closepath stroke
+grestore
+% Node8->Node4
 gsave
 1 setlinewidth
@@ -529,22 +570,22 @@
 0.667 0.776 0.439 edgecolor
 newpath 58 232 moveto
-73 223 95 210 113 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 114.96 202.92 moveto
-122 195 lineto
-111.56 196.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 114.96 202.92 moveto
-122 195 lineto
-111.56 196.8 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 2 175 94 195 ]
+75 223 99 210 117 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 118.96 202.92 moveto
+126 195 lineto
+115.56 196.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 118.96 202.92 moveto
+126 195 lineto
+115.56 196.8 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 7 175 99 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($chmat_8h.html) >>
@@ -552,45 +593,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 2 174 moveto
-2 195 lineto
-95 195 lineto
-95 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 2 174 moveto
-2 195 lineto
-95 195 lineto
-95 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-9.5 181.5 moveto 77 (../math/chmat.h) alignedtext
-grestore
-% Node7->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 40 232 moveto
-41 224 43 214 45 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 48.49 205.3 moveto
-46 195 lineto
-41.52 204.6 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 48.49 205.3 moveto
-46 195 lineto
-41.52 204.6 lineto
-closepath stroke
-grestore
-% Node9
-gsave
-[ /Rect [ 43 117 93 137 ]
+newpath 7 174 moveto
+7 195 lineto
+100 195 lineto
+100 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 7 174 moveto
+7 195 lineto
+100 195 lineto
+100 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+14.5 181.5 moveto 77 (../math/chmat.h) alignedtext
+grestore
+% Node8->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 41 232 moveto
+43 224 46 214 48 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 51.47 205.49 moveto
+50 195 lineto
+44.61 204.12 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 51.47 205.49 moveto
+50 195 lineto
+44.61 204.12 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 33 117 83 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -598,64 +639,64 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 43 116 moveto
-43 137 lineto
-93 137 lineto
-93 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 43 116 moveto
-43 137 lineto
-93 137 lineto
-93 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-51 123.5 moveto 34 (libDC.h) alignedtext
-grestore
-% Node8->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 52 174 moveto
-55 166 58 156 61 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 64.54 147.58 moveto
-65 137 lineto
-58.04 144.98 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 64.54 147.58 moveto
-65 137 lineto
-58.04 144.98 lineto
-closepath stroke
-grestore
-% Node9->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 82 116 moveto
-93 107 108 95 120 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 122.1 87.8 moveto
-128 79 lineto
-117.9 82.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 122.1 87.8 moveto
-128 79 lineto
-117.9 82.2 lineto
-closepath stroke
-grestore
-% Node11
+newpath 33 116 moveto
+33 137 lineto
+83 137 lineto
+83 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 33 116 moveto
+33 137 lineto
+83 137 lineto
+83 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+41 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node9->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 54 174 moveto
+55 166 55 156 56 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 59.49 147.3 moveto
+57 137 lineto
+52.52 146.6 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 59.49 147.3 moveto
+57 137 lineto
+52.52 146.6 lineto
+closepath stroke
+grestore
+% Node10->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 69 116 moveto
+77 107 88 96 97 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 99.4 88.55 moveto
+104 79 lineto
+94.45 83.6 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 99.4 88.55 moveto
+104 79 lineto
+94.45 83.6 lineto
+closepath stroke
+grestore
+% Node12
 gsave
 [ /Rect [ 190 233 250 253 ]
@@ -682,5 +723,5 @@
 198 239.5 moveto 44 (loggers.h) alignedtext
 grestore
-% Node10->Node11
+% Node11->Node12
 gsave
 1 setlinewidth
@@ -703,5 +744,5 @@
 closepath stroke
 grestore
-% Node12
+% Node13
 gsave
 [ /Rect [ 268 233 332 253 ]
@@ -728,5 +769,5 @@
 275.5 239.5 moveto 49 (uibuilder.h) alignedtext
 grestore
-% Node10->Node12
+% Node11->Node13
 gsave
 1 setlinewidth
@@ -749,5 +790,5 @@
 closepath stroke
 grestore
-% Node11->Node4
+% Node12->Node4
 gsave
 1 setlinewidth
@@ -755,20 +796,20 @@
 0.667 0.776 0.439 edgecolor
 newpath 205 232 moveto
-193 223 176 211 162 201 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 164.1 198.2 moveto
-154 195 lineto
-159.9 203.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 164.1 198.2 moveto
-154 195 lineto
-159.9 203.8 lineto
-closepath stroke
-grestore
-% Node12->Node4
+194 223 178 211 165 201 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 167.1 198.2 moveto
+157 195 lineto
+162.9 203.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 167.1 198.2 moveto
+157 195 lineto
+162.9 203.8 lineto
+closepath stroke
+grestore
+% Node13->Node4
 gsave
 1 setlinewidth
@@ -776,42 +817,42 @@
 0.667 0.776 0.439 edgecolor
 newpath 270 232 moveto
-243 222 204 208 175 198 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 176.56 194.86 moveto
-166 194 lineto
-173.72 201.26 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 176.56 194.86 moveto
-166 194 lineto
-173.72 201.26 lineto
-closepath stroke
-grestore
-% Node12->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 275 232 moveto
-260 224 242 212 230 196 curveto
-220 182 190 76 179 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 182.23 29.57 moveto
-176 21 lineto
-175.52 31.58 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 182.23 29.57 moveto
-176 21 lineto
-175.52 31.58 lineto
-closepath stroke
-grestore
-% Node13
+244 222 207 208 180 198 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 180.58 194.52 moveto
+170 195 lineto
+178.57 201.23 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 180.58 194.52 moveto
+170 195 lineto
+178.57 201.23 lineto
+closepath stroke
+grestore
+% Node13->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 276 232 moveto
+261 224 242 211 230 196 curveto
+208 169 179 73 167 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 170.23 29.57 moveto
+164 21 lineto
+163.52 31.58 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 170.23 29.57 moveto
+164 21 lineto
+163.52 31.58 lineto
+closepath stroke
+grestore
+% Node14
 gsave
 0.000 0.000 1.000 nodecolor
@@ -833,5 +874,5 @@
 246.5 181.5 moveto 107 (libconfig/libconfig.h++) alignedtext
 grestore
-% Node12->Node13
+% Node13->Node14
 gsave
 1 setlinewidth
